body{
    overflow-y: auto;
}
.pagination{
    margin: 0;
}

.badge-danger{
    background-color: #dd4b39;
}

.image-preview-box{
    background-color: #f1f1f1;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url('../img/no-image-icon.png');
    transition: background-color 0.2s;
    width: 100%;
    cursor: pointer;
}

.image-preview-box:hover{
    background-color: #fafafa;
}

.image-preview-box .selected-image-preview{
    height: inherit;
    width: inherit;
    min-height: inherit;;
    min-width: inherit;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    position: relative;
}

.image-preview-box img{
    width: 100%;
}

.image-preview-box .selected-image-preview .remove-image-btn{
    color: #999999;
    position: absolute;
    top: 0px;
    right: 0px;

    height: 30px;
    width: 30px;
    padding: 8px 10px;
    background: #ffffff;
    box-shadow: 0px 0px 2px rgba(0,0,0,0.3);
}

/* MImagePicker */
#m-image-picker .image-album{
    margin: 0;
    padding: 0;
    list-style-type: none;
    margin-left: -2%;
    margin-top: -2%;
}

#m-image-picker .image-album li{
    float: left;
    width: 23%;
    height: 100px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    margin-left: 2%;
    margin-top: 2%;
    border: 5px solid #f1f1f1;
    cursor: pointer;
    position: relative;
}

#m-image-picker .image-album li:not(.selected):before{
    content: attr(data-title);
    color: #ffffff;
    background: rgba(55,149,204,0.8);
    font-weight: bold;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    text-align: center;
    opacity: 0;
    transition: opacity 0.2s;
}

#m-image-picker .image-album li:hover:before{
    opacity: 1;
}

#m-image-picker .image-album li.selected{
    border-color: #3c8dbc;
}

#m-image-picker .image-album li img{
    width: 100%;
}

#m-image-picker .modal-body{
    padding-right: 315px;
    position: relative;
}

#m-image-picker .preview-box{
    background-color: #f1f1f1;
    padding: 15px;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    width: 300px;
}

#m-image-picker .preview-box .image-preview{
    height: 100px;
    width: 100px;
    background: #e1e1e1;
}

#m-image-picker .preview-box .image-preview img{
    width: 100%;
}

#m-image-picker .preview-box .form-control{
    background: #e1e1e1;
}

.empty-box{
    background: #f9f9f9;
    padding: 15px 20px 25px 20px;
    color: #777;
    text-align: center;
}

.thumbnail{
    white-space: nowrap;
}

.thumbnail .caption{
    overflow: hidden;
}

/*.image-gallery-preview{
    list-style-type: none;
    margin: 0;
    padding: 0;
    margin-left: -2%;
    margin-top: -2%;
}

.image-gallery-preview:before,
.image-gallery-preview:after{
    content: '';
    display: table;
}

.image-gallery-preview:after{
    clear: both;
}

.image-gallery-preview img{
    max-width: 100%;
}

.image-gallery-preview li{
    width: 23%;
    margin-left: 2%;
    margin-top: 2%;
    float: left;
    position: relative;
    padding: 5px;
    background: #f1f1f1;
}

.image-gallery-preview li .remove{
    position: absolute;
    right: 0;
    top: 0;
    width: 30px;
    height: 30px;
    background: #dd4b39;
    color: #ffffff;
    text-align: center;
    padding-top: 7px;
    z-index: 1;
}*/

.gallery .gallery-items {

    margin-top: 15px;

}

.gallery .gallery-item {

    padding-top: 15px;
    padding-bottom: 15px;

}

/*====== sortable =====*/

.sortable,
.sortable ul{
    list-style-type: none;
    margin: 0;
    padding-left: 20px;
    margin: 10px 0;
}

.sortable{
    padding-left: 0;
}

.sortable li .item{
    padding-top: 10px;
    height: 40px;
    box-shadow: 0 0 1px rgba(0,0,0, 0.4);
    background: #fafafa;
}

.sortable .ui-sortable-placeholder{
    border: 1px solid #eaeaea;
}

.sortable li .item{
    position: relative;
    padding-left: 50px;
}

.sortable li .item .remove{
    position: absolute;
    right: 10px;
    top: 10px;
}

.sortable li .item .handle{
    position: absolute;
    top: 0;
    left: 0;
    height: 40px;
    width: 40px;
    padding: 10px;
    cursor: move;
    color: #666;
}

.sortable li:not(:last-child){
    margin-bottom: 10px;
}

.sortable ul{
    margin-top: 10px;
}

.sortable .handle{

}

/*===== Sortable List ======*/
.sortable-list,
.sortable-list ul{
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.sortable-list ul:not(:first-child){
    padding-left: 30px;
}

.sortable-list li .item{
    background: #fafafa;
    border: 1px solid #f1f1f1;
    padding: 10px;
    cursor: move;
}

.sortable-list li .item{
    margin-bottom: 5px;
}

/*=== Collapsible list ===*/
.collapsible-list li input,
.collapsible-list li ins{
    display: none;
}

.collapsible-list ul{
    transition: all 0.3s;
    max-height: none;
}

.collapsible-list li input:checked + label + ul,
.collapsible-list li input:checked + label + ul + ul{
    transform: translateY(-10px);
    opacity: 0;
    max-height: 0;
    overflow: hidden;
}

.collapsible-list li input:checked + label:before{
    content: "\e250";
}

.collapsible-list li{
    position: relative;
}

.collapsible-list li .item{
    padding-left: 40px;
}

.collapsible-list li label{
    position: absolute;
    left: 10px;
    top: 15px;
    height: 20px;
    width: 20px;

    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;

    font-size: 10px;

    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.collapsible-list li label:before{
    content: "\e252";
}

/*====== site Loader =======*/
.site-loader{
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: rgba(255, 255, 255, 0.9);
    z-index: 9999;
    visibility: hidden;
}

.site-loader.start{
    visibility: visible;
}

/*===== Ckeditor override ======*/
textarea.cke_source {
    white-space: pre-wrap;
}